<template>
  <div style="width: 100%">
    <b-navbar toggleable="lg" type="dark" variant="dark" style="width: 100%"  >
      <img src="@/assets/gotham-city-logo.png" class="" width="6%" style="margin-right: 10px" />
      <h1 style="color: white; margin-left: 24%" v-if="this.info.username === undefined" >WELCOME TO TIME MANAGER</h1>
      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav class="">
          <router-link is="b-nav-item" to="/Home" v-if="this.info.username != undefined"> Time Manager </router-link>
          <router-link is="b-nav-item" to="/dashboard" v-if="this.info.username != undefined">Dashboard</router-link>
          <b-nav-item-dropdown v-if="this.info.role === 'manager' || this.info.role === 'admin'">
            <!-- Using 'button-content' slot -->
            <template #button-content>
              <span>Manager</span>
            </template>
            <router-link is="b-dropdown-item" to="/manageuser"
              >Manage users</router-link
            >
            <router-link is="b-dropdown-item" to="/managetime"
              >Manage time</router-link
            >
          </b-nav-item-dropdown>
        </b-navbar-nav>

        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto" v-if="this.info.username != undefined">
          <b-nav-item-dropdown>
            <!-- Using 'button-content' slot -->
            <template #button-content :info="this.info">
              <em>{{info.username}}</em>
            </template>
            <router-link is="b-dropdown-item" to="/Profile"
              >Profile</router-link
            >
            <b-dropdown-item @click="signout()">Sign Out</b-dropdown-item>
          </b-nav-item-dropdown>
          <b-avatar
            variant="info"
            src="https://scontent-cdg2-1.xx.fbcdn.net/v/t1.0-9/148421_180198548778516_1747481706_n.jpg?_nc_cat=108&ccb=2&_nc_sid=09cbfe&_nc_ohc=4x5JvNqv4JcAX8TeCE0&_nc_ht=scontent-cdg2-1.xx&oh=9b7e14f275f238af4798cd924c7babb7&oe=5FB50B0C"
          ></b-avatar>
          <b-nav-item-dropdown righ v-if="isConnected() === false">
            <template #button-content>
              <em>Log-in</em>
            </template>
            <router-link is="b-dropdown-item" to="/login">Log in</router-link>
            <router-link is="b-dropdown-item" to="/register"
              >Register</router-link
            >
          </b-nav-item-dropdown>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
  </div>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import { AvatarPlugin, ButtonPlugin } from "bootstrap-vue";
import { BButton } from "bootstrap-vue";
import config from "@/Utils/config.json";
Vue.component("b-button", BButton);
import { getUserId } from "@/router/auth.js";
Vue.use(AvatarPlugin, ButtonPlugin);
import { IconsPlugin } from "bootstrap-vue";
Vue.use(IconsPlugin);
export default {
  name: "NavBarCustom",
  data() {
    return {
      value: true,
      manager: true,
      info: {},
    };
  },
  methods: {
    isConnected() {
      if (this.value === false) {
        return true;
      } else if (this.value === true) {
        return true;
      } else {
        return;
      }
    },
    signout() {
      localStorage.removeItem("accesToken");
      this.$router.push("/login");
      window.location.reload()
      if (getUserId()) {
        axios
          .get(`${config.config.res_endpoint}api/sign_out`, {
            headers: {
              Authorization: "Bearer " + localStorage.getItem("accesToken"),
            },
          })
          .then(() => {});
      }
    },
  },
  mounted() {
    if (getUserId()) {
      axios
        .get(`${config.config.res_endpoint}api/users/${getUserId()}`, {
          headers: {
            Authorization: "Bearer " + localStorage.getItem("accesToken"),
          },
        })
        .then((response) => {
          this.info = response.data;
        });
    }
  },
};
</script>

<style scoped>
.ml-auto span {
  color: white;
  font-size: 20px;
}
</style>